Page MenuHomePhabricator

Provide API to detect TimedText for a video
Closed, ResolvedPublic

Description

Currently it is really difficult to find out whether there are subtitles for a video, and what's their URL and other data.

action=query&prop=videoinfo&viprop=timedtext&titles=File%3AEdward%20Snowden%20speaks%20about%20NSA%20programmes%20at%20Sam%20Adams%20award%20presentation%20in%20Moscow.webm

should return something like (similar to the "derivatives" data):

"videoinfo": [{
	"timedtext": [{
		"src": "https://commons.wikimedia.org/w/index.php?title=TimedText:Edward_Snowden_speaks_about_NSA_programmes_at_Sam_Adams_award_presentation_in_Moscow.webm.en.srt&action=raw",
		"type": "text/x-srt",
		"kind": "subtitles",
		"srclang": "en"
	}]
}]

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterAdd a timedtext param to videoinfo API

Event Timeline

Schnark created this task.Jan 2 2016, 9:38 AM
Schnark raised the priority of this task from to Needs Triage.
Schnark updated the task description. (Show Details)
Schnark added a project: TimedMediaHandler.
Schnark added a subscriber: Schnark.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 2 2016, 9:38 AM
brion added a subscriber: brion.Jan 4 2016, 5:05 PM
TheDJ triaged this task as Medium priority.Apr 21 2016, 9:50 AM
TheDJ added a subscriber: TheDJ.
TheDJ moved this task from To sort to TimedText on the TimedMediaHandler board.Apr 26 2016, 5:41 PM

Change 287406 had a related patch set uploaded (by TheDJ):
Add a timedtext param to videoinfo API

https://gerrit.wikimedia.org/r/287406

Change 287406 merged by jenkins-bot:
Add a timedtext param to videoinfo API

https://gerrit.wikimedia.org/r/287406

TheDJ closed this task as Resolved.May 14 2016, 2:24 PM
TheDJ claimed this task.
TheDJ moved this task from Doing to Done on the TimedMediaHandler board.
TheDJ removed a project: Patch-For-Review.